SilverKnit Documentation

Thank you for purchasing our SilverKnit product.

This HTML Help file provides the documentation for the SilverKnit product.

The first part of this document provides information about the functionality of the SilverKnit product.

The second part of this document provides information about Dialog Manager, the package used to develop SilverKnit Utility, the driver program of the SilverKnit product.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Introduction

The SilverKnit Pattern Control Package is a combination of hardware and software that enables users of electronic Silver Reed knitting machines to knit patterns stored on their computer.

The SilverKnit box pictured below is the hardware of the SilverKnit Pattern Control Package.

SilverKnit

The SilverKnit box is hooked up to your computer via the USB interface and hooked up to the carriage of the electronic Silver Reed knitting machine using the curl cord. Electronic Silver Reed knitting machines supported by the SilverKnit Pattern Control Package are: SK830, SK840, SK860, SK890, SK550, SK560, SK580, SA-3E. The AG50 intarsia carriage and the 560LC and LC580 lace carriages are also supported.

The SK500 is supported by SilverKnit if you use the SK500Ex extender.

SK500Ex

SilverKnit Utility is the software that drives the SilverKnit box.

SilverKnit Utility has two main functions: download a pattern to the SilverKnit box (after applying your variations) and knit the downloaded pattern. SilverKnit Utility will show on screen the progress of your knitting, the position of the point cams, the position of the carriage, adjustable row counter, etc...
SilverKnit Utility can download 20 pattern formats to the SilverKnit box.

The SilverKnit Pattern Control Package can replace a EC1+PE1 configuration and also a PC10.

Last Modification: July 31, 2016 © 2002,2016 Computerservice SSHS BV.


SilverKnit Utility

SilverKnit Utility is the driver program for the SilverKnit.

SilverKnit Utility has three main functions:
  1. Browse patterns and show a picture of the selected pattern
  2. Download a pattern to the SilverKnit box
  3. Knit the pattern transferred to the SilverKnit box

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Functions

Functions available on main screen

  • Browse patterns
  • Name of pattern
  • Pattern Thumbnail
  • Full pattern view
  • Drag and drop of pattern (in Pattern field)
  • Indication of Rows, Stitches and Knit Method
  • On line help
  • Name of pattern in SilverKnit Box
  • Information about SilverKnit Box
  • Start Download
  • Start Knit

Functions available during download

    Pattern variations
  • Normal
  • Double Rows
  • Double Stitches
  • Upside down
  • Pattern + Space
  • Negative
  • Exchange
  • Reversed
  • Mirror
  • Chevron
  • Reflection
  • Center
  • Repeat
  • Wrap
  • Carriage starts left
  • End Needle selection
  • Jacquard Skip Stitch main bed only
  • Jacquard Skip Stitch with ribber
  • Jacquard Fairisle Rib
  • Jacquard main bed only
  • Jacquard with ribber
  • Simple Lace
  • Fashion Lace
  • Set Width
  • Positioning
  • Select portion of pattern

Functions available during knitting

  • Continuous knit
  • Select row to start by mouse click
  • Show contrast color
  • Row counter
  • Point Cam position
  • Rows & Stitches indication
  • Carriage position indication

Last Modification: July 31, 2016 © 2002,2016 Computerservice SSHS BV.


Starting SilverKnit Utility

The SilverKnit box is controlled by SilverKnit Utility.

Follow these steps to start SilverKnit Utility:
1. Press Start
2. Press Programs
3. Press SilverKnit
4. Press SilverKnit Utility
5. The configuration dialog of SilverKnit Utility will be displayed

Figure 1

Alternatively you can double click the SilverKnit Utility shortcut on the desktop.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Configuration

When SilverKnit Utility starts, you first have to set the com port to which the SilverKnit is connected. You do this by clicking one of the com ports from the list. SilverKnit Utility remembers the port you used last time. You may have multiple SilverKnit units hooked up or one of our other USB products. SilverKnit Utility will list the names of the devices when available.

In case the SilverKnit box is not connected to the com port specified, or the SilverKnit box is not powered on, you will see the message below.

You can press the Refresh button to refresh the list of available com ports. This is particularly useful when you forgot to turn on the SilverKnit box.

You can show this help file by pressing the Help button.

Check the tick box when you want to have a choice of printer when printing. When the Show Print Dialog is not checked, printing will occur to the default printer.

You can modify the color palette used by SilverKnit Utility for patterns that do not have color information by pressing the Palette button .

Check the Tool Tips tick box when you want SilverKnit Utility to display tool tips.

You close the SilverKnit Utility application by pressing the Close button or the cross in the top right corner of the dialog box.

If you press OK, the next dialog will be the SilverKnit dialog.

Last Modification: Feb 16, 2010 © 2002,2010 Computerservice SSHS BV.


Menu

On the Menu Bar you will find two items: the File Menu and the Help Menu.

File Menu |
Exit | to exit SilverKnit Utility
Help Menu |
Contents | to display the main help topics
Language | to set the language
About SilverKnit… | to provide information about SilverKnit Utility

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Language

You can change the language used on the dialogs by picking one of the languages below.

Press OK to apply the selected language or press Cancel to retain the current setting.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Palette

Most stitch file formats contain color information (PAT, STP, BMP, STC, etc). Some stitch file formats do not contain color information (DAT, TXT). To show patterns without color information, SilverKnit Utility uses a predefined color palette. This palette contains 16 colors.

After pressing the Palette button on the Configuration dialog, you will see the Color dialog above. The Color dialog is a standard Windows dialog. The appearance may vary between the versions of Windows. The 16 colors used by SilverKnit Utility are in the Custom colors area. You can modify these colors.

To modify a color:
1. Click on the color in the Custom colors section
2. The color information is displayed in the right hand side of the Color dialog
3. Make your modification to the color
4. Press the Add to Custom Colors button
5. Your modified color will be displayed in the Custom colors section

You can repeat steps 1 thru 5 as often as you want.

To save the changes you made, press the OK button.
To leave the palette unchanged, press the Cancel button.
If you press the Cancel button, the changes you made are discarded.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


SilverKnit

You will see the SilverKnit dialog below if you pressed OK on the configuration dialog.

The SilverKnit dialog has a menu, a number of fields and a number of buttons.

The fields have the following functions:
Field | Function
Pattern | The pattern that will be downloaded to the SilverKnit box when you press the Download button. You can populate the pattern field by pressing the ... button and selecting a pattern on the browse dialog or you can Drop a pattern in the field using Drag and Drop facilities provided by Windows Explorer, Pattern Explorer or an other Drag and Drop application.
The picture | Show a picture of the pattern in the Pattern field
Stitches | The number of stitches in the pattern
Rows | The number of rows in the pattern
Method The knitting method. The value of this field is equivalent to the DesignaKnit knitting method.
Values can be:
Value | Meaning
0 | Fairisle
1 | Intarsia
2 | 2 color Jacquard
3 | 3 color Jacquard
4 | 4 color Jacquard
5 | 5 color Jacquard
6 | 6 color Jacquard
12 | Hand knit
14 | Right side facing
15 | Wrong side facing
SilverKnit Utility supports method 0, 2, and 3. Method 14 and 15 are treated as if they were method 0.
Method 0 and 2 are essentially the same. SilverKnit Utility allows you to knit a method 0 pattern as 2 color Jacquard and a 2 color Jacquard as Fairisle.
SilverKnit Pattern | Pattern currently loaded in the SilverKnit box. This is not necessarily the same as the Pattern field. When you want to knit the pattern in the pattern field, press Download to transfer the pattern to the SilverKnit box. When you press the OK button after transfer is completed, the name in the Pattern field and the name in the SilverKnit Pattern field will be the same.
Status area | Area to display status, progress and error information

The buttons have the following functions:
Button | Function
... | Browse your computer for a pattern to download
Help | Start the online help library
Full | Show full picture of pattern in your internet browser
Info | Obtain technical information from the SilverKnit box
Print | Make a screen print of the SilverKnit dialog
Download | Download the pattern in the Pattern field to the SilverKnit Box
Knit | Knit the pattern loaded in the SilverKnit box
Close | Exit from SilverKnit Utility

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Menu

On the Menu Bar you will find two items: the File Menu and the Help Menu.

File Menu |
Exit | to exit SilverKnit Utility
Help Menu |
Contents | to display the main help topics
Configuration | to set the com port and language
About SilverKnit… | to provide information about SilverKnit Utility

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Browsing

Various alternatives are available to browse your computer for patterns. SilverKnit Utility has multiple interfaces to accept patterns from:
  • Browse function on the SilverKnit dialog
  • Open With function of Explorer programs like Pattern Explorer, Windows Explorer,...
  • Drag and Drop of drag capable Explorer programs like Pattern Explorer, Windows Explorer,...

Click on one of the links above for more information.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Browse

You can browse your computer for one or more patterns. Press the ... button for browsing.

The dialog above is a standard Windows file open dialog. Please consult your Windows documentation for full user instructions.

You see on the left hand side a number of shortcuts to places on your computer where you may have stored patterns. On the top (Look in) you see the location where you are currently looking for patterns. Use the arrow next to the field to select an other location or alternatively use the up one level button. Use the Create New Folder button to create a new folder in the current location. Use the View Menu to change the representation of the contents of the Files box. The File name field contains the filter applied to the files on the folder. Use the arrow to drop down the list of file you opened earlier. The files of type field shows the currently applied filter. Use the arrow to change the filter.

You select a file form the displayed list by clicking on it. The file will become blue and you can press Open to select the file as the Pattern file. Press Cancel if you want to stop the selection process.

SilverKnit Utility will support the following file types:
Extension | Description
PAT | DesignaKnit pattern file
BPT | Brother PaTtern file
BMP | Windows BitMaP file
CST | CompuStrick pattern file
CUT | Passap Creation pattern file
PCX | System 90 INTO SHAPE pattern file
STC | Stitch Painter pattern file
SBR | Stitch Painter brush file
DAT | Silver Reed PC10 pattern file
STP | DesignaKnit pattern file
TXT | Text document
NIT | KnitPad pattern file
PBM | Portable Bit Map file
PGM | Portable Gray Map file
PPM | Portable Pixel Map file
KSW | Knitt Styler pattern file
KSL | Knitt Styler library pattern file
QPA | DesignaKnit bitmap file
MT | Singer 9000 pattern file
MTF | System 90 INTO SHAPE pattern file

Last Modification: July 31, 2016 © 2002,2016 Computerservice SSHS BV.


Drag & Drop

Multiple alternatives are available to browse your computer for patterns. Patter Explorer is one of them. Once you found the pattern you want to knit, you have multiple options to get it to SilverKnit Utility. Drag and Drop is one of the options.

When using Drag and Drop, you need to make sure that both the program to drag from (Pattern Explorer in the example below) and the drop target (SilverKnit Utility) are visible at the same time. Actually only the Pattern field of SilverKnit Utility has to be visible.
You click with the left mouse button on the design you want to use, hold down the left mouse button and start moving the mouse in the direction of the Pattern field. You see a shadow of the pattern moving with the mouse.

When the mouse arrives above the SilverKnit dialog, the mouse cursor looks like a stop sign (which means you cannot drop). However, when you move the mouse above the sunken Pattern field box, the mouse cursor changes in a drop cursor.

Release the left mouse button and the pattern will be dropped in the Pattern field.
As you can drop any file in the Pattern field, you may drop a file that is not supported by SilverKnit Utility. You will get an error message and you will see:

The filename you dropped is kept in the Pattern field for your reference. Note that you can still knit the pattern in the SilverKnit Box.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Open With

You can open a pattern with SilverKnit Utility by right clicking on the pattern. A drop down menu shows up that contains Open With and an arrow or Open With ... The difference between the two is that the extension had already file associations or didn't have file associations yet. In the example below, bmp files were already opened with SilverKnit Utility before. Click on SilverKnit Utility and SilverKnit Utility will be started.

Once started you will see the Configuration dialog of SilverKnit Utility. Press OK and the SilverKnit dialog will show your pattern.

Please consult your Windows documentation for full information about Open With.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Full Picture

You can get a full picture of the currently selected pattern by pressing the Full button.

The Full button is normally covered by an icon showing a magnifier glass above a document.

Full picture functionality is particularly useful for lace patterns where only the middle part of the design can be shown because lace symbols require a minimum resolution to be visible. You can use it for every pattern. Non lace patterns that are wider than 25 stitches or longer than 25 rows, will be scaled down to show as much of the pattern as possible. The Full picture shows all stitches in the same size as the lace stitches.

The full picture will be shown in your browser. As a result, you can print the pattern.

For your documentation: the title of te full picture page in your browser contains the filename of the pattern.
In Internet Explorer, you can set the header to "&w" which will print the filename on the top of the page. if you set the footer to "&d&bPage &p of &P", you get page numbering and the date on the bottom of the page(s).

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Information

You can obtain technical information about the SilverKnit box by pressing Info on the SilverKnit dialog.

The Version group represents the firmware version of the SilverKnit box. Minimum version must be 2.2.

The Production group shows the year and month of manufacturing, and the serial number of the SilverKnit box.

The Memory group shows what type of memory and how many chips are installed in the SilverKnit Box. The picture above shows 1 * 128K chip, which equates to over 2000 rows.

The Connection group shows the connection type (USB or RS232) and the com port (RS232) or virtual com port (USB) the SilverKnit box is hooked up to.

Press Close when done looking.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Print

Some dialog offer the facility to create a screen print. This can be useful for example if you want to remember the options you applied to a pattern during download.

If you checked Show Print Dialog on the configuration dialog, you will be presented with a dialog like the one above. You can select the printer you want to send the screen print to and adapt the settings of the printer to your requirements.

Press the Print button to start the screen print.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Download

After pressing the Download button on the SilverKnit dialog, you're only one step away from downloading a pattern in the SilverKnit box. The picture below shows the default settings for downloading. These settings are common for Fairisle patterns.

If you have a Fairisle pattern, you select a knitting machine, press the OK button and the download starts.

During the download you are informed of the progress by the Transfer Progress dialog. The fields #Rows and #Stitches indicate the effective number of Rows and Stitches that will be sent to the SilverKnit box. The value in these fields may differ from the number of rows and stitches of the pattern as result of the application of variations (see also paragraph Note below). The field Current Row indicates which row is being sent. The progress bar shows the percentage of transfer completed.
You can stop the download by pressing the Cancel button. A second press of the Cancel button will close the Transfer Progress dialog.
When the download is completed, the OK button, which was grey during download, will become available. Press the OK button to confirm that you want to knit the downloaded pattern so it can be made available to the Knit function.

The following pages will describe the various options individually. Most options can be combined. Wherever an option cannot be combined with another option, you will be informed when you press the OK button.
The option selected is shown with a view on how this will look when knitted.

In the Width field you specify the final width of your knitting. You may leave the Width field blank. SilverKnit will calculate the final width of the resulting pattern after applying your options. You can knit the pattern if you don't exceed the limitation of the machine you have selected.

Note: you can see on the transfer progress dialog that the number of stitches is rounded up to the next multiple of 16. The stitches added are main yarn. You control the number of stitches actually knitted using the point cams.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Width

You may specify the final width of your knitting in the Width field. If you leave this field blank, SilverKnit Utility will work out the final width.

SilverKnit Utility will first apply all variation options you specified (Normal, Double Stitches, Double Rows, Upside down, Negative and Reversed) giving the widht of the pattern to be knitted. Three cases can be identified:
1. the value of the Width field is the same as the value calculated.
2. the value of the Width field is smaller than the value calculated.
3. the value of the Width field is larger than the value calculated.

Note: if you don't enter a value in the Width field, case 1 applies.

Case 1: Exact fit. The pattern will be downloaded centered. The option Centered will be discarded. The option Repeat is not applicable.

Case 2: Width value is smaller than pattern size. Stitches will be truncated evenly on both sides until the pattern fits the Width value. The pattern will be downloaded centered. The option Centered will be discarded. The option Repeat is not applicable.

Case 3: Width value is larger than pattern size. In this case the Repeat and Centered options apply. The first copy of the pattern is positioned centered if the Centered option is turned on, otherwise, the first copy is positioned starting from needle 1 on the right side. If you also have the Repeat option set, additional copies of the pattern are added both left and right until the full Width is covered.

Note: if you have a pattern of 20 stitches, Width set to 30, Centered turned off and Repeat turned off, the left most 15 stitches of the pattern will be knitted; the rightmost 5 stitches will be truncated. On the left side of the knitting machine main color will be knitted.

Last Modification: Apr 8, 2009 © 2002,2009 Computerservice SSHS BV.


Positioning

The topic Width explains how you influence the patterning on your knitting machine. Patterning doesn't happen outside this area. The piece you want to knit, may be wider than the patterning. This is where positioning comes in.

You can position your patterning to any position on the knitting machine. You use the two margin fields on the Settings dialog to specify the position of the patterning. If you leave the two margin fields blank, the patterning will be as explained in the topic Width.

Both margin fields add the number of stitches specified to your patterning. The stitches will be knitted in main yarn.

Note: for Lace patterns a margin of at least 1 is advised.
Examples:

To move a complete duck anywhere on the knitting, you leave Width blank (or type the pattern width) and specify Right Margin and Left margin according to the required position of the pattern and the width of the piece you want to knit (Piece width = Left margin + Pattern width + Right Margin, 35 = 10 + 20 + 5).

Note: the Center and Repeat variations have no influence on the positioning in this case; when Width is not equal to pattern width, they are applied.

To move a complete duck to the left, you leave Width blank and specify Right Margin 20.
To move a complete duck to the right, you leave Width blank and specify Left Margin 20

To center the truncated duck from the Width topic, you specify Width 30, Right Margin 16, Centre off and Repeat off.

To move the truncated duck to the left you need an additional trick: before the first pass, move the left point cam 16 needles to the right (you may always move the point cam opposite to the carriage). Make sure that left needles 23 thru 8 are in not working position.

Last Modification: Nov 30, 2009 © 2002,2009 Computerservice SSHS BV.


Pattern Indicators

You can use the Pattern Indicators to select a portion of the pattern you are about to download.
If you don't fill in the Pattern Indicator fields, you will get the full pattern.
The default values are:
Top: number of Rows
Bottom: 1
Left: 1
Right: Number of Sticthes

The pattern 40.bmp shows one big duck and 2 smaller ducks.

To knit 3 little ducks in the center of a 50 sticth swatch, use the Settings below:

With the Pattern Indicators, you have selected the small duck in the middle of the pattern

and your knitting will look like:

Note: Variations are applied to the portion of the pattern you selected.

Last Modification: Dec 1, 2009 © 2002,2009 Computerservice SSHS BV.


Preview

When you need to select multiple variations, the Preview function may become handy to verify the pattern will be what you intended.

The picture below shows the preview for the example used in the Positioning topic.

You can access the Preview by pressing on the Preview button located on the Settings dialog.

Last Modification: Mar 25, 2012 © 2002,2012 Computerservice SSHS BV.


Normal

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Double Rows

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn. Every row will be knitted twice.
After row 40 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Double Stitches

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 20 left of the middle through needle 20 right of the middle. Note that the pattern is knitted centered. This is because the number of stitches in the pattern is the same as the Width value.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Upside Down

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Reversed

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Pattern + Space

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 21 through needle 40 right of the middle; needle 1 through needle 40 left of the middle and needle 1 through 20 right of the middle will knit main yarn.
After row 20 has been knitted, the pattern will be knitted from needle 1 through 20 right of the middle and needle 21 through 40 right og the middle will knit main yarn.
After row 40 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: July 31, 2016 © 2002,2016 Computerservice SSHS BV.


Negative

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Exchange

The pattern loaded determines which yarn is main yarn (feeder 1) and which yarn is contrast yarn (feeder 2). This can be rather inconvenient in some cases. The Exchange variation lets you exchange main and contrast yarn before applying the other variations. The Exchange variation is not the same as the Negative variation.

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

The Exchange variation can be very useful for 2 color patterns that have main and contrast yarn wrong way around. Suppose you have a pattern with a yellow duck on a blue background where the main color is yellow and the contrast color is blue. The Exchange variation enables you to knit a yellow duck on a full blue background.

Last Modification: Nov 30, 2009 © 2002,2009 Computerservice SSHS BV.


Mirror

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 20 left of the middle through needle 20 right of the middle.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Mirror Vertical

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 40 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Mar 30, 2016 © 2002,2016 Computerservice SSHS BV.


Chevron

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 19 left of the middle through needle 20 right of the middle; needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.
Note the one stitch overlap between the normal and reversed pattern.
Remark: the pattern is centered to show the effect.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Reflection

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 39 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.
Note the one row overlap between the normal and upside down pattern.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Birdseye Left

The pattern duck19.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

When your design has more than 2 colors, you may receive the warning below. The birdseye variation will de discarded.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 19 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Mar 30, 2016 © 2002,2016 Computerservice SSHS BV.


Birdseye Right

The pattern duck19.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

When your design has more than 2 colors, you may receive the warning below. The birdseye variation will de discarded.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 19 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Mar 30, 2016 © 2002,2016 Computerservice SSHS BV.


Center

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 10 left of the middle through needle 10 right of the middle; needle 11 through needle 20 left of the middle and needle 11 through 20 right of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Repeat

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted both left and right of the middle. The pattern will be repeated as often as needed. There can be a partial repeat at both sides.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Wrap

The pattern duck19_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The pattern duck19_2.pat has an odd number of rows. In order to let the pattern have an even number of rows, the pattern is copied, which makes the number of rows even again.
After row 38 has been knitted, row 1 will be the next row to knit without user intervention.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Fairisle Rib

Fairisle rib patterns are knitted in pairs of rows.
The knitting starts at the opposite side of the color changer. After knitting the first row, the carriage enters the color changer to pick up the second color after which the first row and the second row are knitted. The carriage enters the color changer and picks up the third color. The first and second row are knitted with color 3. Finally, after knitting color 3, the carriage enters the color changer and picks up the first color again. After the second row is knitted with the first color, both rows are completely knitted.
This scheme is called 1,2,2,3,3,1. It als also possible to knit 1,2,2,3,3,4 where 4 is a new color.
The scheme for 2 color jacquard is 1,2,2,1 or 1,2,2,3.
The scheme for 4 color jacquard is 1,2,2,3,3,4,4,1 or 1,2,2,3,3,4,4,5.

The process of splitting a multicolor design into individual colors is called separation.

SilverKnit software will separate 2 and 3 color per row fairisle rib designs. Note that separation may lead to a yarn sequence like 1,2,2,3,3,1,1,3,3,2,2,1.

SilverKnit supports 4 color per row fairisle rib designs via a mechanism called Feeders. Only a limted number of pattern formats supports Feeders. DesignaKnit supports Feeders thru the menu selection View Yarn Number & Feeders. The color sequence shown is the sequence used to knit the design. There is one exception: in case a design is not knittable and by switching the middle colors around it can be knitted, the SilverKnit software will switch the middle colors around,
The Feeders facility is available both in .PAT and .STP files.

The feeder facility is also availbale in .TXT files. Specify the $feeders option in the top of the file and 6 bytes per row at the end of each row.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Fairisle Rib

The pattern duck20.pat is a 3 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The pattern is separated by SilverKnit. For Fairisle Rib there is no need for Double Rows.
After row 60 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Fairisle Rib, 4 color

The pattern _feed4.pat is a 4 color Jacquard pattern.

Above pattern has color scheme 1,2,2,3,3,4,4,5.

The pattern will be knitted from needle 1 through needle 16 right of the middle; needle 1 through needle 16 left of the middle will knit main yarn.
The pattern is separated by SilverKnit as per the Feeders section in the file.
After row 16 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Note: the middle colors in row 3 and 4 are exchanged.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Skip Stitch

The pattern duck20_2.pat is a 2 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The pattern duck20_2.pat has a little problem: in order to knit Skip Stitch, the pattern needs to be such that row 1 is the same as row 2, row 3 is the same as row 4, etc. Rows 1 and 2 already fail this criteria. The issue can be resolved by turning on Double Rows.
After row 76 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.
You may wonder why the total number of rows is not 80 (20 original, 20 extra for Double Rows, and double again as result of separation). Answer: Rows consisting of main yarn only are doubled only once.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Skip Stitch Ribber

The pattern duck20_2.pat is a 2 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The pattern duck20_2.pat has a little problem: in order to knit Skip Stitch, the pattern needs to be such that row 1 is the same as row 2, row 3 is the same as row 4, etc. Rows 1 and 2 already fail this criteria. The issue can be resolved by turning on Double Rows.
After row 80 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Jacquard

The pattern duck20_2.pat is a 2 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 38 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

This knitting method is the equivalent of the PC10 method of Jacquard knitting. You can knit patterns with up to 6 different colors per row.
Note: not every Jacquard pattern is suitable for knitting using this method. Please be aware of the floats!

Last Modification: Feb 16, 2010 © 2002,2010 Computerservice SSHS BV.


Jacquard Ribber

The pattern duck20_2.pat is a 2 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 40 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

This knitting method is the equivalent of the PC10 method of Jacquard knitting. You can knit patterns with up to 6 different colors per row.

Last Modification: Feb 16, 2010 © 2002,2010 Computerservice SSHS BV.


End Needles

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn. The outermost needles will be knitted contrast yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Nov 21, 2009 © 2002,2009 Computerservice SSHS BV.


Carriage Left

The pattern duck20_2.pat is a 2 color Jacquard pattern. SilverKnit allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The carriage starts left as can be seen from the carriage picture, which is now on the left hand side of the screen contrary to normal where the carriage starts on the right hand side.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Jun 6, 2010 © 2002,2010 Computerservice SSHS BV.


Lace

Silver Reed Lace carriages support two type of lace: simple lace and fashion lace.
Simple lace is where the carriage does the yarn overs and knits stitches in the same row. For fashion lace, the carriage need to do yarn overs only and after that plain knitting. On the mylar sheets you can see the difference between simple lace and fashion lace in column A. Fashion lace has black squares in column A for the yarn over only where simple lace doesn't have any black squares in column A.

SilverKnit supports both simple lace and fashion lace. Three file formats provide lace patterns: Text documents (TXT), Stitch Painter STC and DesignaKnit STP.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Simple Lace

Simple.stc is a simple lace pattern created with Stitch Painter.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. SilverKnit used the number of stitches of the design as the width to be knitted.

Simple lace is knitted with the lace carriage set to L. The blue stitches are the yarn overs during knitting.
Rows not containing blue stitches can be knitted with the lace carriage set to L or to O.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Fashion Lace

Fashion.stp is a fashion lace pattern created with DesignaKnit 7 with Lace module.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. SilverKnit used the number of stitches of the design as the width to be knitted.

Fashion lace is knitted with the lace carriage set to P for the rows with yarn over only. The red stitches are the yarn overs.
Rows not containing red stitches need to be knitted with the lace carriage set to O.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Combined Lace

Combined.txt is a combined lace pattern created with Microsoft Notepad.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. SilverKnit used the number of stitches of the design as the width to be knitted.

Combined lace can consist of rows with yarn overs only, rows with yarn overs and knitting and rows without yarn overs.
The stitches in the rows with yarn overs only are shown in red; the stitches in the rows with yarn overs and knitting are shown in blue; the rows with no yarn overs don't contain any stitches obviously.
The rows with red stitches are knitted with the lace carriage set to P; the rows with blue stitches are knitted with the lace carriage set to L; the rows with no yarn overs at all are knitted with the lace carriage set to O.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Special Lace

There are a number of special cases in lace knitting. SilverKnit will try to knit whatever you design in your pattern as long as the rules for lace patterns are not violated.

You can see on the Do not page a couple of examples of what you should not do as it is almost impossible to knit.

The two yarn overs above each other page shows an example that can be knitted.

The two yarn overs next to each other page shows another example that can be knitted.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Lace Do Not

The pattern below contains two yarn over next to each other and also above each other.

This pattern can be represented without any problem, but when it comes to knitting, you end up with ...

If we modify the pattern to contain fully knitted rows, we still end up in trouble when knitting.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Lace Above

The pattern below contains two yarn overs above each other.

This pattern can be represented without any problem and can also be knitted.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Lace Next

The pattern below contains two yarn overs next to each other.

This pattern can be represented without any problem and can also be knitted.

The pattern above is inspired by lace pattern 18 for the LC580.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Lace Errors

Errors in a lace pattern are determined when you download the pattern to the SilverKnit box.

Above pattern contains an obvious error in row 6.

You will see an error message like the one above when your lace pattern contains one or more errors.
Only the first error is flagged and the download is stopped. You need to correct the error that is flagged and download the pattern again.
The reason for not flagging further errors is that correction of the first error may validate what could have been flagged as the next error.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Knitting

After you press the Knit button on the SilverKnit dialog, you will see the Knit Progress dialog below.

The example above shows a pattern that fits the stitch area of the Knit Progress dialog. If you have a pattern that is wider than the stitch area, the horizontal scroll bar of the stitch area will be enabled. If you have a pattern that is higher than the stitch area, the vertical scroll bar of the stitch area will be enabled. The Knit Progress dialog has a minimum size; you can resize the Knit Progress dialog by dragging the borders of the Knit Progress dialog.

The stitch area is divided into 5 columns: row number, separator, stitches, separator, row number.
The row that is going to knitted next is indicated by the selection in the stitch area. The selection is marked by the blue highlight in both row number columns and a red border around the row.
The carriage picture shows where the carriage is supposed to be before knitting the row it's in. The carriage normally starts right unless you have specified carriage left during download.
You can start at any row you like by clicking on the row. If you were knitting when you click on a row, the knitting stops and the Knit button becomes available again.

When you press the Knit button, you tell the SilverKnit box that you have set the point cams to the positions given by Cam Left and Cam Right. You may move the point cam opposite to the carriage at any time. When you have moved the opposite point cam, a beep will sound to notify you. The appropriate point cam field will be updated with the new position. After pressing the Knit button, it becomes unavailable (grayed).

This is the point where you start moving the carriage. If the carriage hits the second point cam, the carriage picture is moved to the opposite side and the selection is advanced by one. The row counter field is incremented. After knitting the last row, the selection is set back to the first row.

You stop the knitting by either selecting a row (other than the currently selected row) or by pressing the Close button.

Last Modification: Jun 6, 2010 © 2002,2010 Computerservice SSHS BV.


Point Cams

The point cams are very important components while knitting on an electronic Silver Reed or Studio machine. You find some technical hints and tips here.

The point cams determine the area of the needle bed where can be knitted. The SilverKnit box will only knit between the point cams. The SilverKnit box has no notion of the middle of the needle bed. This means that the N1 indicator is obsolete. Also left 40, right 40 is the same as left 30, right 50.

When knitting, you may move the point cam opposite to the carriage. This can be handy while increasing or decreasing. SilverKnit Utility will maintain the position of the point cams.

It is important that the carriage passes the second point cam far enough. The minimum distance between the start of knitting and the first point cam needs to be six needles. The reason for this is that the SilverKnit box can detect a direction change in a timely fashion and to suppress spikes on the point cam signal. Turning on a light bulb has proven to be able to cause a false point cam signal in the past. This type of spikes can be detected in the 6 needles ahead of the first point cam. If you always move the carriage six needles behind the second point cam, you're also save for the start of the next row.

Failure to pass the first or second point cam will result in the message "carriage unexpectedly changed direction".

The speed at which the carriage may move is only limited by the physical limitations of the carriage and the person operating the carriage. The electronics in the carriage and the SilverKnit box can sustain a knit speed of 500+ needles per second. This is also applicable to point cam recognition (no speed limitation).
The minimum turn around time between passing the second point cam of a row and passing the first point cam of the next row is below 100 milliseconds.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


About

The About dialog of SilverKnit Utility provides version information.

You can see above the version of SilverKnit Utility.

The bottom field display the version information for your version of Windows.

Last Modification: Jul 20, 2016 © 2002,2016 Computerservice SSHS BV.


Close

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Create your own pattern

There are 2 ways to create a pattern:
- Someone else has created the pattern and produced a diagram of the pattern
- You have a picture or a photograph which needs digitizing

SilverKnit Utility accepts Windows BMP files for knitting. SilverKnit Utility considers every dot in the bitmap as a stitch. As a result you can use any graphics program to produce a pattern. For relatively small diagrams you can use Microsoft Paint. For pictures and photographs you need a sophisticated package like Paint Shop Pro or Photoshop. If you need to enter a large diagram, it is easier and faster to scan the diagram and use a sophisticated graphics program that can do color reduction and resolution reduction. Both above programs can do the job and there are most certainly more packages for this job.

SilverKnit Utility also accepts text documents (TXT) for knitting. SilverKnit utility considers every character on a line as a stitch. If you adhere to a couple of simple rules, you can enter a pattern with any software that can produce files with extension TXT. Microsoft Notepad is the simplest of these.
The plus of text documents is that you can also enter lace patterns.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Paint

SilverKnit Utility accepts Windows BMP files for knitting. SilverKnit Utility considers every dot in the bitmap as a stitch.
Patterns of size 25 by 25 or smaller can be entered without much effort very quickly with Microsoft Paint. The Duck25 is done with Microsoft Paint. Here are a few hints to make your life easy:
1. in Image, Attributes set Units to pixels.
2. in Image, Attributes set Width to the number of stitches.
3. in Image, Attributes set Height to the number of rows.
4. in View, Zoom set Zoom to 800%
5. in View, Zoom set Show Grid

Now you can see the pixels (stitches) and can fill them with the pencil.
If you copy a diagram from a magazine, you don't have to worry about color information as most of them are black and white. If you prefer two different colors, set the background to the main color and the pencil color to the contrast color. Don't worry to get the colors wrong way around. You can revert them in SilverKnit Utility with the Negative option or the Exchange option. You don't have to worry about right or wrong side facing either as SilverKnit Utility offers the option Reversed.

This also means that lettering is trivial. You can develop the pattern right side facing, where you knit it wrong side facing. Just turn on the Reversed option during download.

Above is a diagram done in color in minutes. SilverKnit Utility will treat the duck above as a 3 color Jacquard.
Below is a diagram done in black and white using lettering in Microsoft Paint.

Last Modification: December 6, 2009 © 2002,2009 Computerservice SSHS BV.


Notepad

SilverKnit Utility accepts text documents (TXT) for knitting. SilverKnit Utility considers every character on a line in the text document a stitch.
Patterns of size 25 by 25 or smaller can be entered without much effort very quickly with Microsoft Notepad. The Duck25 is done with Microsoft Notepad. There are 5 basic rules you need to adhere to:
  • The first line contains the word SilverKnit
  • All lines containing stitches are of equal length
  • You can use the digits 0 thru 9 to show a color, the first ten in the palette
  • The characters : ; < = > ? are the last six in the palette
  • You can add a comment by setting the first character of a line to % (Percent Sign)

Above is a diagram done in color in minutes. SilverKnit Utility will treat the duck above as a 3 color Jacquard.
The contents of the text document is:

SilverKnit
%Duck25 created with Notepad
%23456789 123456789 12345
6666666666666666666666666
6000000000000000000000006
6000000000000000000000006
6000000000000000000000006
6000000444000000000000006
6000004444400000000000006
6000004044400000000004006
6000444444400000000044006
6000004444400444444444006
6000000044444444444444006
6000000044444444440444006
6000000444444444404440006
6000000440444444044440006
6000000444000000444400006
6000600444444444444000006
6006000444444444444000006
6006000044444444440000006
6000600000000000000000006
6000060000000000000000006
6006006666666666666000006
6000600000000000000000006
6000066666666600000000006
6000000000000000000000006
6000000000000000000000006
6666666666666666666666666

Hint: you can use a ruler like the comment line above for counting stitches. Multiple comment lines are allowed as shown above.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Notepad Color

Above is a diagram done in color in close to no time. SilverKnit Utility will treat the diagram above as a 4 color Jacquard.

Below you see what needed to be entered for above design.

SilverKnit
$feeders
1443322222233441123400
5554433223344555523400
5554433223344555543200
6443322222233446643200
Note: the last 6 characters on the line are the color numbers.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Notepad Lace

SilverKnit Utility accepts text documents (TXT) for lace knitting. The rules for text documents apply, except that the character set is different. SilverKnit Utility considers a text document a lace pattern if it contains at least one lace symbol and if it contains a lace symbol, all stitch characters must be lace symbols.

Above is a lace pattern done in minutes. SilverKnit Utility will treat the pattern above as a simple lace pattern.
The contents of the text document is:

SilverKnit
% simple lace
""""""""""""
""""""""""""
""""""""#)""
""""""""""""
"""""""""#)"
""""""*#""""
""""""""""""
"""""""*#"""
""""""""""""
""""""""""""
"""#)"""""""
""""""""""""
""""#)""""""
"*#"""""""""
""""""""""""
""*#""""""""

The table below shows the characters you can use for lace patterns.

Key | Picture | Name | Function
! |  | Exclamation Mark | Right side stitch
" |  | Quotation Mark | Wrong side stitch
# |  | Number Sign | Hole left by transferring a stitch
' |  | Apostrophe | Transfer stitch to the left
( |  | Left Parenthesis | Transfer stitch to the right
) |  | Right Parenthesis | End transfer stitches to the right
* |  | Asterisk | End transfer stitches to the left
/ |  | Solidus | Two stitches transferred to a single needle

Hint for DesignaKnit 7 users (with or without Lace module):
Type the word SilverKnit and a new line. After that switch the font to Roosmalen1. You can now see the lace symbols you type; the word SilverKnit is no longer readable. You can use the table above to find the key to use for a symbol. The digits 0 thru 9 are still readable so you can create a ruler.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Stitch Painter Lace

For Stitch Painter Lace, you need to use the template provided in My Designs (Template.stc). Open Template.stc and save it under the name of your pattern.

An STC file is considered a lace pattern by SilverKnit Utility if it contains lace symbols only.
You find the lace symbols at the high end of the palette. You may not change the lace symbols themselves or change the order as results may become unpredictable.

Below you see a picture of a lace pattern in Stitch Painter.

Hint: set the zoom factor to 3 or 4 for better visibility. In above picture, the zoom factor is set to 3.

Last Modification: July 1, 2009 © 2002,2009 Computerservice SSHS BV.


Sample Patterns

The SilverKnit installation program creates a folder named "My Designs" in your "My documents" folder. The "My Designs" folder contains two subfolders: SilverKnit and Silver Reed. The SilverKnit folder contains various samples of patterns. Most of the patterns used in this help file can be found in the SilverKnit folder. The patterns are organised in subfolders by extension.

The "My Designs" folder also contains a subfolder Silver Reed. The Silver Reed folder contains the digitised mylar sheets for most Silver Reed electronic knitting machines.

Folder | Contents
AG | Sheets for AG50
EC1 | Sheets for EC1
Lace | Sheets for lace carriage
SK550-560 | Sheets for SK550 & SK560
SK580 | Sheets for SK580
Ribber | Sheets for SRP50, 60 and 70

Above folders contain subfolders for each sheet so you can match them easily with your pattern book.

Last Modification: August 1, 2016 © 2002,2016 Computerservice SSHS BV.


Getting Started

Parts list
  1. SilverKnit box
  2. USB cable
  3. Power supply + mains cord
  4. CD ROM with SilverKnit Utility software and USB drivers

Software Installation

Note: INSTALL THE SOFTWARE BEFORE YOU CONNECT THE SILVERKNIT TO THE COMPUTER

  1. Put the SilverKnit installation CD in the CD ROM drive
  2. The SilverKnit installation program will start automatically
  3. When autorun is not enabled on your computer, look for the CD and double-click autoplay.exe in the root off the CD
  4. Follow the instructions on the screen, the InstallShield installation wizard will guide you through the process
Note 1: It is recommended to install SilverKnit Utility to the suggested folder.

Hardware Installation

  1. Connect the B connector of the USB lead to the USB port on the SilverKnit
  2. Connect the A connector of the USB lead to a free USB port on your computer
  3. Check the green light to go on and the red/green light flash one time green/red
  4. Windows will indicate "New hardware found"
  5. Preferably let Windows search for the drivers
  6. If not found, tell Windows that the drivers are on the CD ROM
  7. If Windows indicates that the drivers are not compatible, press "Continue anyway"
  8. The USB Serial Converter is now installed
  9. Windows will indicate again "New hardware found"
  10. Preferably let Windows search for the drivers
  11. If not found, tell Windows that the drivers are on the CD ROM
  12. If Windows indicates that the drivers are not compatible, press "Continue anyway"
  13. The USB Serial port is now installed
  14. The installation has finished now
  15. On some systems a restart is required after the installation of the USB drivers

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Tips

While developing and testing SilverKnit we ran into a number of problems that were at first far from obvious. The first thought is always: what did we wrong? In a couple of cases these problems had nothing to do with SilverKnit, but more with maintenance of the knitting machine.

Below you find a couple of subjects that may need your attention.

Point cams

Point cams are the adjustable markers that indicate the left and right side of the knitting area. They have a small magnet in the center. The magnetic field sensor in the carriage can detect them. Because the magnet and sensor system is not influenced by dust, there is no point in cleaning them for better performance. More important is that, when set to a new point, they fit properly in the slotted bar. If not exactly positioned, the carriage might detect the cam just one position earlier or later, which can result in shift of the knit pattern.

Direction switch

The direction switch and signal of the carriage is indicating wether the carriage is moved from left to right or right to left. The switch mechanism is visible in the bottom of the carriage at the front ( towards you ) and consist of two magnet pieces that are linked together by a wire bracket. The magnets stick a bit to the main knitting bed and depending on the direction of carriage movement they switch from one outer position to the other. This system is sensitive for dust and needs to be cleaned from time to time. Malfunction by dust can result in messages like "Carriage moving in the wrong direction" etc.

Power supply

The SilverKnit box needs an external power supply of 9 Volt DC (1.2 Amp minimum ). A power supply is normally part of the package when delivered. If for some reason another power supply is used, make sure it is a regulated type and in the range 9 Volt, 1.2 Amp minimum. The connector should have the positive pole in the center. (The SilverKnit box is protected against polarity reversal). Using a power supply with a higher output voltage can result in damage of the SilverKnit box and/or the carriage. Using a power supply with lower voltage or insufficient current output can result in unpredictable errors in your knitting (intermittent wrong needle selection etc) or loss of communication with the SilverKnit box.

Last Modification: Mar 15, 2009 © 2002,2009 Computerservice SSHS BV.


Comparison

There are a number of differences between DesignaKnit 7 and SilverKnit Utility as it comes to knitting a pattern. The table below shows most of these differences.

Topic | DesignaKnit 7 | SilverKnit
Patterns |  |
Formats | STP, PAT | PAT, BPT, BMP, CST, CUT, PCX, STC, STB, DAT, STP, TXT, NIT, PBM, PGM, PPM, KSW, KSL, QPA, MT, QPA, MT, MTF
Data entry of stitches | Pattern treated as a design | Pattern treated as a diagram
What you see on your computer | Right side facing | Wrong side facing
Automatic reversion | Yes | You determine at download time whether you want a pattern reversed
Variations | At design time | At download time
Point Cams |  |
Setting | Need to be set to full width every time you press the green traffic light | Need to be set at (re-)start of knitting. When you go a couple of rows back, you can leave them where they were at time of stopping. Reset to start position is also possible.
Placement | Fixed; may change postion of point cam opposite to the carriage | Fixed for first row; may change position of point cam opposite to the carriage; can use position at time of stop.
Position | Change not shown. | Position displayed while knitting; bell when position has changed
Knitting |  |
Row counter | Automatic | You can set the start value; counting is automatic.
After last row | Knitting stops | Continues with first row (Wrap)
Turn around time (*) | Approximate 200 milliseconds Assumption: Spoken instructions and Play tunes are turned off. | Approximate 150 milliseconds
Jacquard |  |
On screen presentation | Not separated | Separated
Separation | At design time; may need manual intervention | At download time; automatic
Number of colors | 2, 3, 4, 5 and 6 | 2 and 3
Use Fairisle as 2 color Jacquard | No; need to save as second pattern. | Yes
Use 2 color Jacquard as Fairisle | No; need to save as second pattern. | Yes
Lace support |  |
Included? | Optional | Yes
Yarn overs above each other | No | Yes
Yarn overs next to each other | No | Yes

(*) Turn around time is that lapses after the carriage passes the second point cam and the SilverKnit box is ready to knit the next row.

Last Modification: July 31, 2016 © 2002,2016 Computerservice SSHS BV.


Messages

The messages given by SilverKnit Utility are mostly self explanatory. The following message is a bit cryptic.

The reason why this message is cryptic is that you are not supposed to see it in the first place and if you see it, there is no other information available to explain what is going on. The message states that SilverKnit Utility lost the connection with the SilverKnit. The reason shows why SilverKnit Utility can no longer communicate with the SilverKnit box. The last 4 digits of the reason indicate the error code returned by Windows, in the above case 5. Error code 5 means: access denied, which is not really useful.

The most common cause for above message is what is called "surprise removal".

Surprise removal is: disconnect the USB cable from the SilverKnit box while communication with the SilverKnit box was going on. Another way that a surprise removal may happen is a noisy USB network or interference by other software that tries to access the virtual com port.

The simplest resolution to get over the occurrence above is: exit SilverKnit Utility (you may get a couple more "Lost communication..." messages), remove the USB cable from the SilverKnit box, wait 10 seconds, reconnect the USB cable to the SilverKnit box. The disconnect and reconnect may not be necessary.

In one case we have worked around the "surprise removal" problem by inserting a USB hub between the PC and the SilverKnit. If there is already a USB hub between the PC and the SilverKnit, removal of the USB hub may help.

Last Modification: Apr 5, 2009 © 2002,2009 Computerservice SSHS BV.


Dialog Manager

Dialog Manager is, as its name suggests, a package that manages dialogs. Dialog Manager makes the life of the Windows dialog programmer easier by taking away the boring Windows dialog hassle, enabling the programmer to concentrate on user functionality.

Dialog Manager also provides additional functionality on top of the Windows dialog functionality.
The visible additional features used in this application include:
  • Hatched buttons: a button is dependent on the contents of one or more fields, where the fields don't meet the expectations of the button. The user can click a hatched button to find out which fields don't meet the expectation of the button.
  • Field coloring: when a button has the focus, fields on which the button depends are colored to show the user that user action is required.
  • Propagation: when a row in a table is selected, the fields in the row are propagated into individual fields.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Introduction

A Dialog Manager application presents you with one or more dialogs.

Getting Help For a Dialog.

A dialog can contain:
  • Buttons
  • Single-line Fields
  • Multi-line Fields
  • TableBoxes
  • TickBoxes
You can use the mouse or the keyboard to navigate a dialog.

Access Keys

Scroll Bar

Initial Focus and Tab Order

Coloring

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Buttons

A dialog normally contains an OK button, a Cancel button, and one or more action buttons.
You can 'press' a button with a mouse click or with the keyboard:
  • Pressing the Enter key is equivalent to pressing the default button, which is the button with a heavy dark border. The default button is the one that has the focus, or, if no button has the focus, the one set up as the default. The Dialog Manager makes the last button pressed the default.
  • Pressing the spacebar is equivalent to pressing whichever button has a dotted rectangle around its text label.
  • If a button's label contains an underlined character, pressing the Alt key together with that character's key is equivalent to pressing that button.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Fields

A single-line field is for display or entry of a character string. When a Dialog first displays, a field in which you can enter text is usually empty, but in some cases it contains default text.
When a field allows you to enter text, you can click to place the cursor within the existing text and use the keyboard to edit it. The Home key moves the cursor to the beginning of the string, and the End key moves it to the end. The Delete key deletes characters following the cursor, and the Backspace key deletes characters before the cursor.
You can highlight text by dragging the cursor across it. The Delete key deletes highlighted text, and typing new text replaces highlighted text.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Multi Line Fields

A multi-line field is for display or entry of a character string. When a Dialog first displays, a field in which you can enter text is usually empty, but in some cases it contains default text.
When a field allows you to enter text, you can click to place the cursor within the existing text and use the keyboard to edit it. The Home key moves the cursor to the beginning of the string, and the End key moves it to the end. The Delete key deletes characters following the cursor, and the Backspace key deletes characters before the cursor.
You can highlight text by dragging the cursor across it. The Delete key deletes highlighted text, and typing new text replaces highlighted text.
Pressing Control+Enter moves the cursor to a new line.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - TableBox

A TableBox displays a list of items. Scroll through the list using the scroll bar, and select an item in one of these ways:
  • double click on it
  • click on it and press Enter
  • use the arrow keys to highlight it, and press the spacebar
The colour of the table changes on mouse-up (when the focus changes) and on mouse-down (when the selection changes). You can deselect a row by pressing the Delete key.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - TickBox

A TickBox is used to enable or disable an option. The option is enabled when an X appears in the TickBox and disabled when the TickBox is empty.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Access Keys

An access key lets you use the keyboard to activate a single-line field, multi-line field, Button, TickBox, or TableBox in a dialog. When a character in the item's label is underlined, you can activate the item by pressing Alt together with the key corresponding to that character.

Last Modification: July 20, 2004 (c) Copyright 2004, Jos Timmermans


Dialog Manager - Scrollbar

A scrollbar appears at the right or bottom edge of a TableBox or multi-line field when its contents are not completely visible. Each scroll bar contains two scroll arrows and a scroll box that enable you to scroll through the contents of the TableBox or field.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Initial Focus and Tab Order

When a control is active, it is said to have the focus, which means that you can act on it. For example, if a field has the focus, you can type in it.
You can use the Tab key to move the focus and activate controls in a dialog. The tab order is the order in which controls become active when you use Tab. Using Tab is particularly useful and natural for moving from one text field to another.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Coloring

Coloring or hatching of fields, tables, or buttons occurs when some action is required before a button can be pressed. Read-only fields that are dependent on an unsatisfied button are hatched whenever the button is grayed.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Get Help For a Dialog

When the Dialog Manager presents you with a dialog, you can get help by pressing F1. This displays a dialog where you can choose (when available):
  • General displays this Help
  • Forms displays Help for the application
  • Field displays Help for the field that has the focus
You can also use the Forms key or Field key to go directly to the corresponding Help.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.